summaryrefslogtreecommitdiff
path: root/iwd
diff options
context:
space:
mode:
authorNick White <git@njw.me.uk>2009-08-16 02:25:28 +0100
committerNick White <git@njw.me.uk>2009-08-16 02:25:28 +0100
commit4f837e2cef827e6f700c5ae180551510ffedc718 (patch)
tree403525e52860588ed9e9336b2197c26034bfe797 /iwd
parent95fa96a6c1d34ba8e53f8e9badd8c0d0c94eff37 (diff)
downloadgemrb-gameinstallers-4f837e2cef827e6f700c5ae180551510ffedc718.tar.bz2
gemrb-gameinstallers-4f837e2cef827e6f700c5ae180551510ffedc718.zip
Work around unshield bug
Basically, if extracting to a directory which was not itself lowercase, unshield would fail. This patch cds to the directory first, to work around the issue. http://sourceforge.net/tracker/?func=detail&aid=2801016&group_id=30550&atid=399601
Diffstat (limited to 'iwd')
-rwxr-xr-xiwd/install-2cd-minimal.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/iwd/install-2cd-minimal.sh b/iwd/install-2cd-minimal.sh
index 1b60b85..be9a7e4 100755
--- a/iwd/install-2cd-minimal.sh
+++ b/iwd/install-2cd-minimal.sh
@@ -28,7 +28,9 @@ getcd 1 $IWD_2CD_UK_MD5 data1.cab
mkdir -p "$TARGETDIR" || die
-unshield -d "$TARGETDIR" -L x "${CDMOUNT}/data1.cab" || die
+# work around unshield bug (#2801016 in SynCE project)
+#unshield -d "$TARGETDIR" -L x "${CDMOUNT}/data1.cab" || die
+cd "$TARGETDIR" && unshield -d . -L x "${CDMOUNT}/data1.cab" || die
move_and_remove "${TARGETDIR}/minimum_compressed/" "$TARGETDIR"
move_and_remove "${TARGETDIR}/recommended_compressed/data/" "${TARGETDIR}/data"